﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

html {
    position: relative;
    min-height: 100%;
    padding-bottom: 160px;
}

.loading-image {
    display: block;
    margin: 0 auto;
}

.email {
    color: #405d27;
    font-weight: bold;
}

.alert-simple.alert-info {
    border: 1px solid rgba(6, 44, 241, 0.46);
    background-color: rgba(7, 73, 149, 0.12156862745098039);
    box-shadow: 0px 0px 2px #0396ff;
    color: #0396ff;
    transition: 0.5s;
    cursor: pointer;
}

.deleteUserFromGroup {
    cursor: pointer;
}

.deleteUserFromGroup:hover {
    background-color: red;
}

.rightAlign {
    float: right;
}

.myDivFull {
    width:100%;
    height: 100%;
}

.scrollCol {
    position: absolute;
    overflow-y: scroll;
}

.myInput {
    background-position: 10px 12px; /* Position the search icon */
    background-repeat: no-repeat; /* Do not repeat the icon image */
    width: 100%; /* Full-width */
    font-size: 12px; /* Increase font-size */
    padding: 12px 20px 12px 40px; /* Add some padding */
    border: 1px solid #ddd; /* Add a grey border */
    margin-bottom: 12px; /* Add some space below the input */
}

.myUL2 {
    /* Remove default list styling */
    list-style-type: none;
    padding: 0;
    margin: 0;
}

    .myUL2 li i {
        margin-left: auto;
        margin-right: 0;
        float: right;
        width: max-content;
    }
        .myUL2 li i:hover {
            cursor: pointer;
            background-color: red;
        }

    .myUL2 li label {
        border: 1px solid #ddd; /* Add a border to all links */
        margin-top: -1px; /* Prevent double borders */
        background-color: #f6f6f6; /* Grey background color */
        padding: 12px; /* Add some padding */
        text-decoration: none; /* Remove default text underline */
        font-size: 12px; /* Increase the font-size */
        color: black; /* Add a black text color */
        display: block; /* Make it into a block element to fill the whole list */
    }

    .myUL2 li a {
        border: 0px solid #ddd; /* Add a border to all links */
        margin-top: -1px; /* Prevent double borders */
        background-color: #f6f6f6; /* Grey background color */
        padding: 12px; /* Add some padding */
        text-decoration: none; /* Remove default text underline */
        font-size: 12px; /* Increase the font-size */
        color: black; /* Add a black text color */
        width:100%;  /*Make it into a block element to fill the whole list */
    }

        .myUL2 li a:hover:not(.header) {
            background-color: #eee; /* Add a hover effect to all links, except for headers */
        }

.myUL {
    /* Remove default list styling */
    list-style-type: none;
    padding: 0;
    margin: 0;
}

    .myUL li a {
        border: 1px solid #ddd; /* Add a border to all links */
        margin-top: -1px; /* Prevent double borders */
        background-color: #f6f6f6; /* Grey background color */
        padding: 12px; /* Add some padding */
        text-decoration: none; /* Remove default text underline */
        font-size: 12px; /* Increase the font-size */
        color: black; /* Add a black text color */
        display: block;  /*Make it into a block element to fill the whole list */
    }

        .myUL li a:hover:not(.header) {
            background-color: #eee; /* Add a hover effect to all links, except for headers */
        }

/*body {
    margin-bottom: 160px;
}*/
/* The side navigation menu */
.sidenav {
    height: 60%; /* 100% Full-height */
    width: 20%; /* 0 width - change this with JavaScript */
    position: fixed; /* Stay in place */
    z-index: 1; /* Stay on top */
    top: 12%;  /* Stay at the top */
    left: 0;
    background-color: white; /* Black*/
    overflow-x: hidden; /* Disable horizontal scroll */
    padding-top: 60px; /* Place content 60px from the top */
    transition: 0.5s; /* 0.5 second transition effect to slide in the sidenav */
    border:double;
}

    /* The navigation menu links */
    .sidenav a {
        padding: 8px 8px 8px 32px;
        text-decoration: none;
        font-size: 25px;
        color: #1861ac;
        display: block;
        transition: 0.3s;
    }

        /* When you mouse over the navigation links, change their color */
        .sidenav a:hover {
            color: #f7b231;
        }

    /* Position and style the close button (top right corner) */
    .sidenav .closebtn {
        position: absolute;
        top: 0;
        right: 25px;
        font-size: 36px;
        margin-left: 50px;
    }

/* Style page content - use this if you want to push the page content to the right when you open the side navigation */
#main {
    transition: margin-left .5s;
    padding: 20px;
}

/* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
@media screen and (max-height: 450px) {
    .sidenav {
        padding-top: 15px;
    }

        .sidenav a {
            font-size: 18px;
        }
}

.loading {
    position: absolute;
    /*top: 25%;*/
    left: 50%;
    margin: -50px 0px 0px -50px;
    width: 50px;
}

.longertextbox {
    width: 200px;
}

nav {
    background-color: #385b88;
}

    nav ul {
        display: flex;
        justify-content: flex-end;
    }

        nav .navbar-brand, nav ul li a {
            color: white;
            font-weight: bold;
            text-transform: uppercase;
        }

            nav ul li a:hover {
                color: #f7b231;
                text-decoration: none;
            }

a.nav-link.dropdown-toggle {
    color: white;
}

    a.nav-link.dropdown-toggle:hover {
        color: #f7b231;
        text-decoration: none;
    }

.dropdown-menu {
    background-color: #385b88;
    border: none;
}

.dropdown-item {
    color: white;
    font-weight: bold;
    text-transform: uppercase;
}

    .dropdown-item:hover {
        background-color: #385b88;
        color: #f7b231;
        text-decoration: none;
    }

nav .navbar-toggler {
    justify-content: flex-end;
}

nav .custom-toggler {
    border-color: white;
}

    nav .custom-toggler .navbar-toggler-icon {
        background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255, 255, 255, 1)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E");
    }

nav .navbar-brand {
    font-size: 1rem;
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

    a.navbar-brand:hover {
        color: white;
        text-decoration: none;
    }

header {
    background-image: url(/img/bg.png);
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    float: left;
    clear: both;
    width: 100%;
}

    header #logo {
        margin-left: 5%;
        width: 25%;
        float: left;
        text-align: center;
        padding: 0em 0em;
        position: relative;
        max-width: 360px;
    }

        header #logo::before {
            content: "";
            position: absolute;
            background: url(/img/logobg.png);
            background-repeat: no-repeat;
            background-position: center center;
            background-size: 100% 100%, auto;
            z-index: 1;
            left: 0;
            width: 100%;
            height: 105%;
        }

        header #logo img {
            margin: 0px auto 1.3em;
            padding: 10px;
            max-width: 330px;
            display: block;
            position: relative;
            z-index: 10;
            padding-top: 2.5em;
            width: 100%;
        }

    header h1 {
        float: left;
        margin-top: 105px;
        padding-left: 10px;
        color: #162c4f;
    }

@media screen and (max-width: 850px) {
    header #logo::before {
        background-image: none;
        border: 2px solid #586873;
        background-color: white;
        height: 103%;
        border-top: 0;
    }
}


.body {
    clear: both;
}

h1 {
    background-color: #d75c37;
    color: white;
    text-shadow: 1px 1px 1px black;
    font-size: 2em;
    line-height: 1em;
    margin-bottom: 15px;
    width: 100%;
    padding: 18px 18px;
}

a {
    color: #d75c37;
    font-weight: bold;
}

    a:hover {
        color: #d75c37;
        text-decoration: none;
    }

table {
    padding: 0;
    font-size: .8em;
    margin-bottom: 20px;
}

    table tr th, td {
        padding: 8px 12px;
    }

    table tr {
        padding: 10px;
    }

        table tr:hover {
            background: rgba(202,227,233,0.4);
        }

    table th {
        background: #d3d3d3;
        /*text-transform: uppercase;*/
        /*font-weight: bold;*/
        color: black;
    }

.btn.btn-primary {
    background-color: #385B88;
    font-weight: bold;
    border-color: black;
}

    .btn.btn-primary:not(:disabled):not(.disabled):active {
        background-color: #385B88;
        border-color: red;
    }

    .btn.btn-primary:focus {
        box-shadow: 0 0 0 0.2rem rgba(247, 178, 49, 0.4)
    }



footer {
    clear: both;
    width: 100%;
    padding: 15px;
    background: #385b88;
    color: white;
    position: absolute;
    bottom: 0;
    height: 160px;
}

    footer .social-media-icons {
        display: flex;
        justify-content: center;
    }

        footer .social-media-icons .icon {
            padding: 0 10px;
            color: white;
        }

            footer .social-media-icons .icon:hover {
                color: #f7b231;
            }

    footer .copyright {
        font-size: .8em;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    footer .copyright-img {
        max-width: 70px;
        margin: 0 10px !important;
    }

    footer .standard-footer {
        text-align: center;
        opacity: .7;
        font-size: .8em;
    }

    footer #bitFooter .standard-footer a {
        color: white;
        padding: 5px 10px;
    }

    footer .standard-footer a:hover {
        color: #f7b231;
    }

@media screen and (min-width: 350px) {
    footer {
        display: flex;
        flex-direction: column;
        margin: 10px 0 0 0;
        padding: 15px 5%;
    }
}

#tabs li .ui-icon-close {
    float: left;
    margin: 0.4em 0.2em 0 0;
    cursor: pointer;
}

/* Provide sufficient contrast against white background */
/*a {
  color: #0366d6;
}*/

/*header {
    position: relative;
    color: white;
    margin: 0;
    padding: 15px;
    width: 100%;
    background-color: #385b88;
    z-index: 10;
}

header #logo {
    display: inline-block;
    height: 100px;
}

header #hambMenu {
    float: right;
    margin: 60px 0 0 0;
    display: inline-block;
    padding: 10px 18px;
    color: white;
    border: 1px solid white;
    border-radius: 8px;
    cursor: pointer;
}

header nav {
    display: none;
    margin: 15px 0 0 0;
    padding: 0;
    text-align: center;
    font-size: 1.2em;
}

header nav ul {
    padding: 0;
    margin: 0;
    list-style-type: none;
}

header nav ul li {
    padding: 0;
    margin: 0;
}

    header nav ul li a {
        display: block;
        padding: 10px;
        margin: 0;
        color: white;
        border-bottom: 2x solid #385b88;
    }

    header nav ul li a:hover {
        color: #f7b231;
        text-decoration: none;
    }

@media screen and (min-width: 992px) {
    header {
        padding: 15px 5%;
    }

    header #hambMenu {
        display: none;
    }

    header nav {
        float: right;
        margin: 38px 0 0 0;
        background: none;
        font-size: 1.2em;
        text-align: right;
    }

    header nav ul {
        display: inline-block;
    }
    
    header nav ul li {
        display: inline-block;
        position: relative;
    }

    header nav ul li a {
        display: inline-block;
        padding: 10px 14px 12px 14px;
        color: white;
        border-bottom: none;
    }
}*/

/*a:hover {
    color: #f7b231;
}
*/
.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
/*html {
    position: relative;
    min-height: 100%;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px;*/ /* Vertically center the text there */
/*}*/
